"""Tests for tag replacer."""

from src.detections import CityDetection, DateDetection, NameDetection, SurnameDetection
from src.replacers.tag_replacer import TagReplacer


def test_replace_with_tags():
    """Test replace with tags."""
    text = "Ala Brzeszczot urodziła sie 05.05.2005 we Wrocławiu"
    detections = [
        (0, 3, NameDetection("subst:sg:nom:f")),
        (4, 14, SurnameDetection("subst:sg:nom.acc:m3")),
        (28, 38, DateDetection()),
        (42, 51, CityDetection("subst:sg:loc:m3")),
    ]

    replacer = TagReplacer()

    result = replacer.replace(text, detections)

    expected_text = "[OSOBA] [OSOBA] urodziła sie [DATA] we [MIEJSCE]"
    exptected_detections_left = []

    assert result == (expected_text, exptected_detections_left)
